Show / Hide Table of Contents

# Class GameObjectContext

Provides game object context to a context menu.

##### Inheritance

System.Object
GameObjectContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class GameObjectContext

### Constructors

| Improve this Doc View Source

#### GameObjectContext(Nullable<UInt32>, Nullable<UInt64>, String, Nullable<UInt16>)

Initializes a new instance of the GameObjectContext class.

##### Declaration

    public GameObjectContext(uint? id, ulong? contentId, string name, ushort? worldId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<System.UInt32> | id | The id of the game object.
System.Nullable<System.UInt64> | contentId | The lower content id of the game object.
System.String | name | The name of the game object.
System.Nullable<System.UInt16> | worldId | The world id of the game object.

### Properties

| Improve this Doc View Source

#### ContentId

Gets the content id of the game object.

##### Declaration

    public ulong? ContentId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> |

| Improve this Doc View Source

#### Id

Gets the id of the game object.

##### Declaration

    public uint? Id { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt32> |

| Improve this Doc View Source

#### Name

Gets the name of the game object.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### WorldId

Gets the world id of the game object.

##### Declaration

    public ushort? WorldId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt16> |